
Redmine - Defect #10090

Project's settings  - 500 Internal Server Error

2012-01-30 14:30 - Robson Peixoto

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Project settings Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.3.0

Description

Processing ProjectsController#settings (for 172.20.10.68 at 2012-01-25 00:47:22) [GET]

  Parameters: {"action"=>"settings", "id"=>"p5", "controller"=>"projects"}

Rendering template within layouts/base

Rendering projects/settings

ActionView::TemplateError (undefined method `<=>' for nil:NilClass) on line #3 of app/views/projec

ts/settings/_members.html.erb:

1: <%= error_messages_for 'member' %>

2: <% roles = Role.find_all_givable

3:    members = @project.member_principals.find(:all, :include => [:roles, :principal]).sort %>

4: 

5: <div class="splitcontentleft">

6: <% if members.any? %>

    app/models/member.rb:53:in `<=>'

    app/views/projects/settings/_members.html.erb:3:in `sort'

    app/views/projects/settings/_members.html.erb:3

    app/views/common/_tabs.html.erb:24

    app/views/common/_tabs.html.erb:23:in `each'

    app/views/common/_tabs.html.erb:23

    app/helpers/application_helper.rb:222:in `render_tabs'

    app/views/projects/settings.html.erb:3

    /opt/ree/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/rack/request_handler.rb

:96:in `process_request'

    /opt/ree/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/abstract_request_handle

r.rb:513:in `accept_and_process_next_request'

    /opt/ree/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/abstract_request_handle

r.rb:274:in `main_loop'

    /opt/ree/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/classic_rails/applicati

on_spawner.rb:321:in `start_request_handler'

    /opt/ree/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/classic_rails/applicati

on_spawner.rb:275:in `send'

    /opt/ree/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/classic_rails/applicati

on_spawner.rb:275:in `handle_spawn_application'

    /opt/ree/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/utils.rb:479:in `safe_f

ork'

    /opt/ree/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/classic_rails/applicati

on_spawner.rb:270:in `handle_spawn_application'

    /opt/ree/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/abstract_server.rb:357:

in `__send__'

    /opt/ree/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/abstract_server.rb:357:

in `server_main_loop'

    /opt/ree/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/abstract_server.rb:206:

in `start_synchronously'

    /opt/ree/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/abstract_server.rb:180:

in `start'

    /opt/ree/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/classic_rails/applicati

on_spawner.rb:149:in `start'

    /opt/ree/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/spawn_manager.rb:219:in

 `spawn_rails_application'

    /opt/ree/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/abstract_server_collect
ion.rb:132:in `lookup_or_add'

    /opt/ree/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/spawn_manager.rb:214:in

 `spawn_rails_application'

    /opt/ree/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/abstract_server_collect

ion.rb:82:in `synchronize'

    /opt/ree/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/abstract_server_collect

ion.rb:79:in `synchronize'

    /opt/ree/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/spawn_manager.rb:213:in

 `spawn_rails_application'

    /opt/ree/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/spawn_manager.rb:132:in

 `spawn_application'

    /opt/ree/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/spawn_manager.rb:275:in

 `handle_spawn_application'

    /opt/ree/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/abstract_server.rb:357:

in `__send__'

    /opt/ree/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/abstract_server.rb:357:

in `server_main_loop'

    /opt/ree/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/abstract_server.rb:206:

in `start_synchronously'

    /opt/ree/lib/ruby/gems/1.8/gems/passenger-3.0.11/helper-scripts/passenger-spawn-server:99

Rendering /var/convergence/redmine/public/500.html (500 Internal Server Error)

Related issues:

Is duplicate of Redmine - Defect #10052: Project's settings  - 500 Internal S... Closed

History

#1 - 2016-03-12 03:10 - Go MAEDA

- Status changed from New to Closed

Duplicate of #10052.

#2 - 2016-03-12 03:10 - Go MAEDA

- Is duplicate of Defect #10052: Project's settings  - 500 Internal Server Error added

#3 - 2016-04-03 12:45 - Toshi MARUYAMA

- Description updated
